# devfs.h File Reference

`#include <ubixos/types.h>`
`#include <vfs/file.h>`

Go to the source code of this file.

## Data Structures

struct | devFsDevices
struct | devFsInfo

## Functions

int | devFSOpen (char *file, fileDescriptor *fd)
void | devFSInit (struct mountPoints *mp)
int | devFSEnable ()
int | devFSRead (fileDescriptor *fd, char *data, long offset, long size)
int | devFSWrite (fileDescriptor *fd, char *data, long offset, long size)
int | devFsMkNod (char *name, uInt8 type, uInt16 major, uInt16 minor)

## Function Documentation

int devFSEnable | ( |  | ) |

void devFSInit | ( | struct mountPoints * | mp | ) |

int devFsMkNod | ( | char * | name,
|  | uInt8 | type,
|  | uInt16 | major,
|  | uInt16 | minor
| ) |

int devFSOpen | ( | char * | file,
|  | fileDescriptor * | fd
| ) |

int devFSRead | ( | fileDescriptor * | fd,
|  | char * | data,
|  | long | offset,
|  | long | size
| ) |

int devFSWrite | ( | fileDescriptor * | fd,
|  | char * | data,
|  | long | offset,
|  | long | size
| ) |